<template>
    <div class="group">
        <NuxtLink v-if="!compact && image" :to="link">
            <img
                :src="image"
                alt="cover image"
                class="
                    w-full
                    rounded-t-lg
                    object-cover object-center
                    group-hover:opacity-90
                    dark:group-hover:opacity-70
                    border border-gray-300
                    dark:border-gray-700
                "
                :class="imageHeight"
            />
        </NuxtLink>
        <div
            class="
                bg-white bg-opacity-50
                group-hover:bg-opacity-75
                dark:bg-gray-900
                dark:border-gray-700
                dark:group-hover:bg-gray-950
                dark:bg-opacity-75
                dark:group-hover:bg-opacity-50
                backdrop-filter backdrop-blur-sm
                p-4
                sm:p-5
            "
            :class="{
                'rounded-b-lg': image,
                'rounded-lg': !image,
                'bg-image': compact && image,
            }"
        >
            <slot />
        </div>
    </div>
</template>

<script>
export default {
    props: {
        link: {
            type: String,
            required: true,
        },
        image: {
            type: String,
            default: null,
        },
        imageHeight: {
            type: String,
            default: 'h-64', // h-60, h-64, h-72, h-80, h-96, h-auto
        },
        compact: {
            type: Boolean,
            default: false,
        },
    },
}
</script>
